Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: SFML with GitHub actions  (Read 77 times)

0 Members and 1 Guest are viewing this topic.

lavinrp

  • Newbie
  • *
  • Posts: 3
    • View Profile
    • Email
SFML with GitHub actions
« on: March 20, 2020, 09:17:25 am »
This is only tangentially related to SFML so I apologize if this doesn't belong here; however, I suspect that a solution to this could be helpful to SFML users in the future.

I’m currently working on adding GitHub Actions to a project of mine that is using SFML. I’m only using the `ubuntu-latest` runner for now to keep things simple. The runners for these actions don’t have any monitors so I’m running with Xvfb (http://elementalselenium.com/tips/38-headless).

I consistently get the following errors:
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast

I’ve done a bit of research into this and I’ve seen that this can be caused by ambiguous references to ligGL.so (https://askubuntu.com/questions/834254/steam-libgl-error-no-matching-fbconfigs-or-visuals-found-libgl-error-failed-t), but I don't currently have that issue. I’ve tried updating mesa  (http://ubuntuhandbook.org/index.php/2018/05/install-mesa-18-0-4-ubuntu-18-04-lts/) and get the same issue. I’ve also tried renaming the ligGL.so files as recommended here (https://askubuntu.com/a/978112) but that had no effect.

Here is a project that shows a minimum reproducible case: https://github.com/lavinrp/sfml_actions_test/actions

Am I missing something here? Does anyone have any ideas? Has anyone got SFML (or any gui application) to work with GitHub Actions?

eXpl0it3r

  • SFML Team
  • Hero Member
  • *****
  • Posts: 9429
    • View Profile
    • development blog
    • Email
Re: SFML with GitHub actions
« Reply #1 on: March 26, 2020, 08:33:45 am »
This is probably more something related to Xvfb than SFML. Like the other threads say, it's often caused by nvidia and mesa driver mixing or similar.

Btw you don't really need this libglew1.5-dev libjpeg8-dev libsndfile1-dev. SFML doesn't use libsndfile, nor libjpeg, nor glew anymore.
Official FAQ: https://www.sfml-dev.org/faq.php
Nightly Builds: https://www.nightlybuilds.ch/
——————————————————————
Dev Blog: https://dev.my-gate.net/
Thor: http://www.bromeon.ch/libraries/thor/

lavinrp

  • Newbie
  • *
  • Posts: 3
    • View Profile
    • Email
Re: SFML with GitHub actions
« Reply #2 on: March 27, 2020, 03:54:26 am »
Thanks for the reply (and the note about the unnecessary libs).

In my testing I also tried to run on Ubuntu via windows subsystem for linux and got a nearly identical error.
I saw from other posts that WSL is not currently supported in SFML. I wonder if these GitHub ubuntu runners are set up similarly to WSL.

I'm experimenting with other CI vendors at the moment, but I'll probably double back and poke around with actions some more in the next few days.